質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.12%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

受付中

tweepyが実行出来ません

chico1
chico1

総合スコア6

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

2回答

0リアクション

0クリップ

585閲覧

投稿2018/05/19 12:09

前提・実現したいこと

pythonでtweepyを導入したいのですが、スクリプトの実行時にエラーが出てしまいます。どのようにしたらtweepyを導入できるでしょうか

発生している問題・エラーメッセージ

Traceback (most recent call last): File "C:\Users\chaic\Desktop\python_lesson\twitter1.py", line 2, in <module> import tweepy File "C:\Users\chaic\AppData\Local\Programs\Python\Python37-32\lib\site-packages\tweepy\__init__.py", line 17, in <module> from tweepy.streaming import Stream, StreamListener File "C:\Users\chaic\AppData\Local\Programs\Python\Python37-32\lib\site-packages\tweepy\streaming.py", line 358 def _start(self, async): ^ SyntaxError: invalid syntax

該当のソースコード

#Tweepyのインポート import tweepy #keyの取得 CONSUMER_KEY = 'キー' CONSUMER_SECRET = 'キー' auth = tweepy.OAuthHandler(CONSUMER_KEY, CONSUMER_SECRET) #OAuthHandlerクラスのインスタンスを作成 ACCESS_TOKEN = 'キー' ACCESS_SECRET = 'キー' auth.set_access_token(ACCESS_TOKEN, ACCESS_SECRET) api = tweepy.API(auth) api.update_status("Hello World") #キーは伏せています

試したこと

tweepyは最新版の3.6を使っています。

補足情報(FW/ツールのバージョンなど)

python3.7.0です

以下のような質問にはリアクションをつけましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

リアクションが多い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

wakame

2018/05/19 12:28

Python 2.6 and 2.7, 3.3, 3.4, 3.5 & 3.6 are supported.
wakame

2018/05/19 12:30

tweepyはpython3.6以降をサポートしていないので3.7から3.6に戻してみては

まだ回答がついていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.12%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。